summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 15:00:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:26 +0200
commit54e0f49cb614112608a2e95f03693196724344df (patch)
treec55b69ebd1b0aaaf2b4c0d863c7eaff5a9087d80 /multimedia
parent04ffeb9c99c62ad191d7803e7d5e978d999ed24a (diff)
downloadslackbuilds-54e0f49cb614112608a2e95f03693196724344df.tar.gz
slackbuilds-54e0f49cb614112608a2e95f03693196724344df.tar.xz
multimedia/mp3blaster: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mp3blaster/README3
-rw-r--r--multimedia/mp3blaster/mp3blaster.SlackBuild78
-rw-r--r--multimedia/mp3blaster/mp3blaster.info8
-rw-r--r--multimedia/mp3blaster/slack-desc7
4 files changed, 96 insertions, 0 deletions
diff --git a/multimedia/mp3blaster/README b/multimedia/mp3blaster/README
new file mode 100644
index 0000000000..6aed084864
--- /dev/null
+++ b/multimedia/mp3blaster/README
@@ -0,0 +1,3 @@
+mp3blaster is a ncurses/CLI media player for mp3/ogg files. It supports the
+same functions other media players have, without the big memory footprint
+and the big dependencies.
diff --git a/multimedia/mp3blaster/mp3blaster.SlackBuild b/multimedia/mp3blaster/mp3blaster.SlackBuild
new file mode 100644
index 0000000000..816ff2f7be
--- /dev/null
+++ b/multimedia/mp3blaster/mp3blaster.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for mp3blaster
+
+# Copyright 2006 Martin Lefebvre (dadexter@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=mp3blaster
+VERSION=3.2.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING CREDITS ChangeLog FAQ INSTALL NEWS README TODO \
+ doc/commands.txt doc/sample.mp3blasterrc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mp3blaster/mp3blaster.info b/multimedia/mp3blaster/mp3blaster.info
new file mode 100644
index 0000000000..5b8abdb989
--- /dev/null
+++ b/multimedia/mp3blaster/mp3blaster.info
@@ -0,0 +1,8 @@
+PRGNAM="mp3blaster"
+VERSION="3.2.3"
+HOMEPAGE="http://mp3blaster.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/mp3blaster/mp3blaster-3.2.3.tar.gz"
+MD5SUM="0d892d7c99df175eb0efb2bc31086285"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="robw810"
diff --git a/multimedia/mp3blaster/slack-desc b/multimedia/mp3blaster/slack-desc
new file mode 100644
index 0000000000..dca1f82b3c
--- /dev/null
+++ b/multimedia/mp3blaster/slack-desc
@@ -0,0 +1,7 @@
+mp3blaster: mp3blaster media player
+mp3blaster:
+mp3blaster: mp3blaster is a ncurses/CLI media player for mp3/ogg files. It supports the same functions
+mp3blaster: other media players have, without the big memory footprint and the big dependencies.
+mp3blaster:
+mp3blaster: Homepage: http://mp3blaster.sourceforge.net
+mp3blaster: